PUT alerts/recipient/{recipient_id}
Updates the recipient (and associated SMS/email targets) matching the recipient_id.
URL Parameters
| Name | Description |
|---|---|
| recipient_id | Recipient Id. Type: numeric. |
Remarks
By default two or more recipients cannot have the same name. Use the request query parameter allow_duplicates to override this.IMPORTANT: This call cannot be used if recipient has more than one sms or more than one email target.
Request example and description
curl --request PUT "https://api-asm1.apica.io/v3/alerts/recipient/567?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{ "name": "My target", "description": "Description", "phone": "+01234567890", "phone_description": "My phone", "email": "target@email.com", "email_description": "My e-mail", "enabled": true }"
| Name | Type | Required | Description |
|---|---|---|---|
| name | String | No | The recipient's name. |
| description | String | No | The recipient's description. |
| phone | String | No | Phone number in format +XXXXXXXXX..., where X is a digit (from 2 to 17 digits). A comma-separated list of such phone numbers is also supported. |
| phone_description | String | No | The phone description. |
| String | No | The recipient's email. | |
| email_description | String | No | The recipient's email description. |
| enabled | Boolean | No | The recipient is enabled. |